import request from '@/utils/request'

// 查询对比模型参数配置列表
export function listCONTRASTCONFIG(query) {
  return request({
    url: '/contrastConfig/list',
    method: 'get',
    params: query
  })
}

// 查询对比模型参数配置所有列表
export function listAllCONTRASTCONFIG(query) {
  return request({
    url: '/contrastConfig/listAll',
    method: 'get',
    params: query
  })
}

// 查询对比模型参数配置详细
export function getCONTRASTCONFIG(id) {
  return request({
    url: '/contrastConfig/getInfo/' + id,
    method: 'get'
  })
}

// 新增对比模型参数配置
export function addCONTRASTCONFIG(data) {
  return request({
    url: '/contrastConfig/add',
    method: 'post',
    data: data
  })
}

// 修改对比模型参数配置
export function updateCONTRASTCONFIG(data) {
  return request({
    url: '/contrastConfig/edit',
    method: 'post',
    data: data
  })
}

// 删除对比模型参数配置
export function delCONTRASTCONFIG(id) {
  return request({
    url: '/contrastConfig/remove/' + id,
    method: 'get'
  })
}
